Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class Export

    java.lang.Object
      pipe.gui.Export

public class Export
extends java.lang.Object

Class for exporting things to other formats, as well as printing.

Author:
  Maxim

Field Summary
`static int` | `PNG`
`static int` | `POSTSCRIPT`
`static int` | `PRINTER`

Constructor Summary
`Export()`

Method Summary
`static void` | `exportGuiView(GuiView g, int format)`
`static void` | `toPNG(javax.swing.JComponent g, java.lang.String filename)`
`static void` | `toPostScript(java.lang.Object g, java.lang.String filename)`
`static void` | `toPrinter(java.lang.Object g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNG

    public static final int PNG

See Also:
  Constant Field Values

### POSTSCRIPT

    public static final int POSTSCRIPT

See Also:
  Constant Field Values

### PRINTER

    public static final int PRINTER

See Also:
  Constant Field Values

Constructor Detail

### Export

    public Export()

Method Detail

### toPostScript

    public static void toPostScript(java.lang.Object g,
                                    java.lang.String filename)
                             throws javax.print.PrintException,
                                    java.io.IOException

  Throws:
    `javax.print.PrintException`
    `java.io.IOException`

### toPNG

    public static void toPNG(javax.swing.JComponent g,
                             java.lang.String filename)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### toPrinter

    public static void toPrinter(java.lang.Object g)
                          throws javax.print.PrintException

  Throws:
    `javax.print.PrintException`

### exportGuiView

    public static void exportGuiView(GuiView g,
                                     int format)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD